<?php
    session_start();
    if($_SESSION['logged'] != true)
        exit("<center>Please Login first<br><a href='../pb-admin.php' class='btn btn-danger'>Login</button></center>");
    include("../php/db_login.php");
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Control Panel</title>
    <link rel="icon" href="../images/logos/tab_icon.jpg">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
</head>
<body>
    <?php
        $active = "alt_services";
        include("alt_php/navbar.php");
    ?>

    <div style="margin-top:100px"></div>

    <div class="container">
        <div class="row mb-5">
            <div class="col-12 text-center">
                <h1>Upload/Delete Services</h1>
            </div>
        </div>

        <div class="row">
            <div class="col-12 col-lg-6">
                <h4>Upload New Service</h4>
                <form method = "POST" enctype = "multipart/form-data">
                    <input type="text" class="form-control mb-2" name="service_name" placeholder="Service Title">
                    <textarea class="form-control" name="detail" rows="5" placeholder="Service detail"></textarea>
                    <input type="file" class="form-control" name="image">
                    <small>* Size limit - 2MB</small>
                    <input type = "submit" class="form-control btn btn-success my-2" name="upload" value="Upload">
                </form>
            </div>

            <div class="col-12 col-lg-6">
                <h4>Delete Existing Service</h4>
                    <form action='' method='POST'>
                    <?php
                        $sql = "SELECT service_title FROM services where 1";
                        $result = $conn -> query($sql);
    
                        if($result -> num_rows > 0) {
                            echo "
                            <div class='form-group'>
                            <select class='form-control' name='service_select'>
                            <option value=''>None Selected</option>
                            ";
                            while ($row = $result -> fetch_assoc()) {
                                echo "<option value='". $row['service_title'] . "'>" . $row['service_title'] . "</option>";
                            }
                            echo "
                                </select>
                                </div>
                                <input type = 'submit' class='form-control btn btn-danger' name='del_service' value='Delete'>
                            ";
                        }
                    ?>
                    </form>
            </div>
        </div>
    </div>

    <?php
        if(isset($_FILES['image'])) {
            require("../php/test_input.php");

            $errors= array();
            $file_name = $_FILES['image']['name'];
            $file_size = $_FILES['image']['size'];
            $file_tmp = $_FILES['image']['tmp_name'];
            $file_type = $_FILES['image']['type'];
            $file_ext = strtolower(end(explode('.',$_FILES['image']['name'])));

            $service_title = test($_POST['service_name']);
            $detail = test($_POST['detail']);
            $detail = str_replace("'","&lsquo;", $detail);
      
            $expensions= array("jpeg","jpg","png");
      
            if(in_array($file_ext,$expensions)=== false){
                $errors[]="This extension not allowed, please choose a JPEG or PNG file.";
            }
      
            if($file_size > 2097152) {
                $errors[]='File size must be less than 2 MB';
            }
      
            if(empty($errors) == true) {
                move_uploaded_file($file_tmp,"../images/services/".$file_name);

                $sql = "INSERT INTO services (img_add, service_title, detail) VALUES ('$file_name', '$service_title', '$detail')";

                if ($conn->query($sql) === TRUE) {
                    echo "
                    <script>
                        alert('Uploaded Successfully');
                        location.href = 'alt_services';
                    </script>
                        ";
                }
                else {
                    echo "Error: " . $sql . "<br>" . $conn->error;
                }  
            }
            else {
                print_r($errors);
            }
        }

        if(isset($_POST['del_service'])) {
            $delete = $_POST['service_select'];
            
            if($delete == '')
                exit("No Service Selected!");

            $sql = "SELECT img_add FROM services WHERE service_title = '$delete'";
            $result = $conn->query($sql);

            $row = $result -> fetch_assoc();

            $delete_loc = "../images/services/" . $row['img_add'];

            $sql = "DELETE FROM services WHERE service_title = '$delete'";

            if ($conn->query($sql) === TRUE) {
                if(unlink($delete_loc)) {
                    echo "
                    <script>
                        alert('Deleted Successfully');
                        location.href = 'alt_services';
                    </script>
                        ";
                }
                
            }
            else {
                echo "Error deleting record: " . $conn->error;
            }
        }

    ?>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>